JOIN(1)

NAVN
join - sammenføj linjer for to filer på et fælles felt

SYNOPSIS
join [TILVALG]... FIL1 FIL2

BESKRIVELSE

For hvert par indlinjer med identiske flettefelter skrives en linje til standardud. Standardfletningsfeltet er det første, adskilt af blanktegn.

Når FIL1 eller FIL2 (men ikke begge) er -, læses standard-ind.

-a FILENUM
    udskriv også linjer som ikke kan parinddeles fra fil FILNR, hvor FILNR er 1 eller 2 svarende til FIL1 eller FIL2

-e STRING
    erstat manglende (tomme) indtastningfelter med STRENG; dvs. manglende felter angivet med tilvalgene »-12jo«.

-i, --ignore-case
    skeln ikke mellem store/små bogstaver ved sammenligning af felter

-j FIELD
    samme som »-1 FELT -2 FELT«

-o FORMAT
    følg FORMAT ved sammensætning af udlinje

-t CHAR
    brug TEGN som feltseparator for ind- og udfelter

-v FILENUM
    som -a FILNR, men drop flettede ud-linjer

-1 FIELD
    flet ved dette FELT fra fil 1

-2 FIELD
    flet ved dette FELT fra fil 2

--check-order
    kontroller om inddata er korrekt sorteret, selv hvis alle inddatalinjer kan parinddeles

--nocheck-order
    kontroller ikke om inddata er korrekt sorteret

--header
    betragt første linje i hver fil som feltoverskrifter, og udskriv dem uden at forsøge parinddeling for disse

-z, --zero-terminated
    linjeadskiller er NUL frem for linjeskift

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Med mindre -t TEGN er angivet, vil indledende blanke tegn opfattes som feltseparatorer, og blive ignoreret; ellers benyttes TEGN som feltseparator. Hvert FELT er et feltnummer talt fra 1. FORMAT er en eller flere komma- eller blank-separerede specifikationer, der hver er »FILNR.FELT« eller »0«. Det forvalgte FORMAT udskriver flettefeltet, resten af felterne fra FIL1 og resten af felterne fra FIL2, alle adskilt med TEGN. Hvis FORMAT er nøgleordet »auto«, bestemmer første linje af hver fil antallet af felter, der udskrives for hver linje.

Vigtigt: FIL1 og FIL2 skal være sorteret efter flettefelt. Brug f.eks. »sort -k 1b,1« hvis »join« ikke har nogen tilvalg, eller »join -t ”« hvis »sort« ikke har nogen tilvalg. Bemærk at sammenligninger følger reglerne angivet ved »LC_COLLATE«. Hvis indlinjerne ikke er sorteret, og der optræder linjer som ikke kan flettes, vil der blive vist en advarsel.

FORFATTER
Skrevet af Mike Haertel.

FEJLRAPPORTER
Rapporter fejl til: bug-coreutils@gnu.org
Hjemmeside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generel hjælp til GNU-programmer: <https://www.gnu.org/gethelp/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

SE OGSÅ
comm(1), uniq(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/join>
eller lokalt tilgængelig via: info '(coreutils) join invocation'

Pakket af Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det.
Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.